import { MidwayConfig } from '@midwayjs/core';
const ip = '127.0.0.1'; //120.48.146.1
const project = 'vue3js-template-test';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1697684406848_4978',
  koa: {
    port: 9700,
    globalPrefix: '/ts/frame/api',
  },
  swagger: {
    swaggerPath: '/doc/api',
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
    expiresIn: '2d',
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${project}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
    },
  },
  upload: {
    whitelist: null,
  },
  weixinConfig: {
    appid: 'wxe8b4c4d5e87a7d31',
    secret: '60cffc9d8766e8b169db970d2422a647',
  },
} as MidwayConfig;
